EDIT - feature request #8402

ordering typedesignations in name and taxon page
07/23/2019 05:58 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.9

Severity: normal

Description

The typedesignation in the name and taxon page are not yet well ordered. The sort order should follow the order of the type
designation status terms.

Related issues:

Related to EDIT - feature request #9305: Include additional TypeDesignationSt... New
Copied to EDIT - feature request #9284: Admin Ul to define the TermTrees as s... New
Copied to EDIT - task #9285: apply the order of the chosen TermTrees to the t... New

Associated revisions

Revision fb939fdc - 07/24/2019 02:56 PM - Andreas Kohlbecker

fix #8402 fixing broken type designatin compare function

Revision 22354fa0 - 11/06/2020 05:15 PM - Andreas Kohlbecker
ref #8402 ref #9279 adapting sort order to latest changes in TypeDesignationSetManager

Revision 071a56e6 - 11/06/2020 05:20 PM - Andreas Kohlbecker

ref #8402 ref #9279 adapting sort order to latest changes in TypeDesignationSetManager - commenting

History

#1 - 07/23/2019 05:58 PM - Andreas Kohlbecker

- Subject changed from ordering typedsignations in name and taxon page to ordering typedesignations in name and taxon page

#2 - 07/24/2019 02:56 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-dataportal|fb939fdc818762b23215321ff183be8700e88161.

#3 - 07/24/2019 02:56 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- Priority changed from New to Highest

- % Done changed from 50 to 100

#4 - 11/06/2020 05:13 PM - Andreas Kohlbecker

- Description updated

The sort order should follow the order of the type designation status terms either of that in the vocabulary or in a TermTree.
At the time if implementing this there were a couple of pieces missing to get this accomplished: TermTree Editor for TypedesignationStatus Terms,
Webservice for TermsTrees, Admin Ul to define the TermTrees as sort order preset,

To shortcut the development phase of this feature, the order as been defined in the data portal code as:
Epitype

Holotype
Isotype
Lectotype
Isolectotype

Syntype
Paratype

Since this is only a preliminary solution we need to improve this later on ...

#5 - 11/09/2020 01:40 PM - Andreas Kohlbecker

- Copied to feature request #9284: Admin Ul to define the TermTrees as sort order preset added

#6 - 11/09/2020 01:43 PM - Andreas Kohlbecker
- Copied to task #9285: apply the order of the chosen TermTrees to the typedesignations in name and taxon page added

#7 - 11/09/2020 01:44 PM - Andreas Kohlbecker
follow up tasks are copied to #9283, #9284, #9285

#8 - 11/16/2020 09:54 AM - Andreas Miiller
- Related to feature request #9305: Include additional TypeDesignationStatus sort order (term tree) in CDM terms added
